
# yl_skinsdb_addon

## Purpose

This mod allows you to import skind from the worldfolder instead of the modfolder and also provides a command to import skins into a running server.

## Download

Get it from https://gitea.your-land.de/your-land/yl_skinsdb_addon

## Dependencies

See [mod.conf](https://gitea.your-land.de/your-land/yl_skinsdb_addon/src/branch/master/mod.conf)

* [skinsdb](https://github.com/minetest-mods/skinsdb)

## Installation

1. Copy the "yl_skinsdb_addon" folder to your mod directory.
2. Enable the mod in your world.mt file.
3. Place the skins you want to import into the save_path

## Configuration

```
yl_skinsdb_addon.debug = false
```
Set to true to enable debug mode

```
yl_skinsdb_addon.save_path
```
Set this to where in the worldfolder you want the textures of the skins stored

```
yl_skinsdb_addon.import_priv
```
Enable holders of this priv to import the skins from ingame

## Usage

This mod targets servers, but should work in singleplayer, too. It comes with no direct content but is intended as an addon to skinsdb.

### Chatcommands

```
/import_skins
```
Starts import of new skins

## Limitations

* Those of dynamic_add_media. Read: The more modern both MT client and server are, the better.
* This mod does not validate whether a file found in the save_path is actually a texture.

## Alternatives

* Manually execute the necessary lua commands

## Supported versions

If you use yl_skinsdb_addon, but something is wrong, please [file a bug](https://gitea.your-land.de/your-land/yl_skinsdb_addon/issues/new). PRs also welcome.

* Server: 5.8.0+
* Client: 5.8.0+

## Allied projects

If you know a project that uses this mod tell us and we will add it to the list.

## Uninstall

Remove it from your mod folder or deactivate it in your world.mt

Mods that depend on it will cease to work, if the mod is removed without proper replacement.

## License

See [LICENSE.md](https://gitea.your-land.de/your-land/yl_skinsdb_addon/src/LICENSE.md)

* Code MIT AliasAlreadyTaken
* Screenshot CC0 Styxcolor

## Thank you

* Styxcolor
* [bell07](https://github.com/bell07) Initial mod author of skinsdb
* [mt-mods](https://github.com/minetest-mods) Current maintainers of skinsdb
