local chatcommand_cmd = "import_skins"
local chatcommand_definition = {
    params = yl_skinsdb_addon.t("chatcommand_import_skins_parameters"),
    description = yl_skinsdb_addon.t("chatcommand_import_skins_description"),
    privs = {[yl_skinsdb_addon.settings.admin_priv] = true},
    func = function(name, param)
        local success, message = yl_skinsdb_addon.load_skins(name,
                                                             yl_skinsdb_addon.settings
                                                                 .path_textures,
                                                             true)
        if success then
            return true, message
        else
            return false, message
        end
    end
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
