-- Version 1.0.0
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = minetest.get_us_time()
minetest.log("action", "[MOD] yl_skinsdb_addon loading")

yl_skinsdb_addon = {}
yl_skinsdb_addon.error = {}
yl_skinsdb_addon.modname = minetest.get_current_modname()
yl_skinsdb_addon.modstorage = minetest.get_mod_storage()
yl_skinsdb_addon.modpath = minetest.get_modpath("yl_skinsdb_addon") .. DIR_DELIM
yl_skinsdb_addon.worldpath = minetest.get_worldpath() .. DIR_DELIM

dofile(yl_skinsdb_addon.modpath .. "texts.lua")
dofile(yl_skinsdb_addon.modpath .. "information.lua")
dofile(yl_skinsdb_addon.modpath .. "config.lua")
dofile(yl_skinsdb_addon.modpath .. "setup.lua")
dofile(yl_skinsdb_addon.modpath .. "overwrite.lua")
dofile(yl_skinsdb_addon.modpath .. "internal.lua")
dofile(yl_skinsdb_addon.modpath .. "initialize.lua")
dofile(yl_skinsdb_addon.modpath .. "chatcommands.lua")

local mod_end_time = (minetest.get_us_time() - mod_start_time) / 1000000
minetest.log("action", "[MOD] yl_skinsdb_addon loaded in [" .. mod_end_time .. "s]")
